## org.hibernate.internal.jaxb.mapping.hbm
Enum JaxbCheckAttribute

    java.lang.Object
      java.lang.Enum<JaxbCheckAttribute>
          org.hibernate.internal.jaxb.mapping.hbm.JaxbCheckAttribute

All Implemented Interfaces:
  Serializable, Comparable<JaxbCheckAttribute>

    public enum JaxbCheckAttribute

extends Enum<JaxbCheckAttribute>

Java class for check-attribute.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="check-attribute">
       <restriction base="{http://www.w3.org/2001/XMLSchema}token">
         <enumeration value="none"/>
         <enumeration value="param"/>
         <enumeration value="rowcount"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`NONE`
`PARAM`
`ROWCOUNT`

Method Summary
`static JaxbCheckAttribute` `fromValue(String v)`
`String` `value()`
`static JaxbCheckAttribute` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JaxbCheckAttribute[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final JaxbCheckAttribute NONE

### PARAM

    public static final JaxbCheckAttribute PARAM

### ROWCOUNT

    public static final JaxbCheckAttribute ROWCOUNT

Method Detail

### values

    public static JaxbCheckAttribute[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JaxbCheckAttribute c : JaxbCheckAttribute.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JaxbCheckAttribute valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static JaxbCheckAttribute fromValue(String v)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.